<?php
if (!defined('ABSPATH')) {
	exit;
}
/* @var string $upvimeo_vimeo_id */
$upvimeo_vimeo_id = isset($args['upvimeo_vimeo_id']) ? $args['upvimeo_vimeo_id'] : (isset($upvimeo_vimeo_id) ? $upvimeo_vimeo_id : '');

if (empty($upvimeo_vimeo_id)) {
	return;
}

$upvimeo_video_hash = '';
if (strpos($upvimeo_vimeo_id, '/') !== false) {
	$upvimeo_parts = explode('/', $upvimeo_vimeo_id);
	$upvimeo_vimeo_id = $upvimeo_parts[0];
	$upvimeo_video_hash = '?h=' . $upvimeo_parts[1];
} elseif (strpos($upvimeo_vimeo_id, ':') !== false) {
	$upvimeo_parts = explode(':', $upvimeo_vimeo_id);
	$upvimeo_vimeo_id = $upvimeo_parts[0];
	$upvimeo_video_hash = '?h=' . $upvimeo_parts[1];
}

$upvimeo_vimeo_id = esc_attr($upvimeo_vimeo_id);
$upvimeo_embed_url = esc_url(sprintf('https://player.vimeo.com/video/%s%s', $upvimeo_vimeo_id, $upvimeo_video_hash));
?>
<div class="upvimeo-embed-container">
	<iframe src="<?php echo esc_url($upvimeo_embed_url); ?>" frameborder="0" webkitAllowFullScreen mozallowfullscreen
		allowFullScreen allow="autoplay; fullscreen; picture-in-picture; clipboard-write; encrypted-media"></iframe>
</div>